<?php

declare (strict_types=1);
namespace GuardDog\Vendor\phpDocumentor\Reflection\DocBlock\Tags\Factory;

use GuardDog\Vendor\phpDocumentor\Reflection\DocBlock\Tag;
use GuardDog\Vendor\phpDocumentor\Reflection\Types\Context;
use GuardDog\Vendor\PHPStan\PhpDocParser\Ast\PhpDoc\PhpDocTagNode;
interface PHPStanFactory
{
    public function create(PhpDocTagNode $node, Context $context): Tag;
    public function supports(PhpDocTagNode $node, Context $context): bool;
}
